PostgreSQL 7.1.3 Documentation
Prev |  | Next

# SPI_gettypeid

## Name

SPI_gettypeid -- Returns the type OID of the specified attribute

## Synopsis

    SPI_gettypeid(tupdesc, fnumber)

### Inputs

TupleDesc `tupdesc`

  Input tuple description

int `fnumber`

  Attribute number

### Outputs

OID

  The type OID for the specified attribute number

SPI_result

  SPI_ERROR_NOATTRIBUTE

## Description

`SPI_gettypeid` returns the type OID for the specified attribute.

## Usage

Attribute numbers are 1 based.

## Algorithm

TBD

Prev | Home | Next
SPI_gettype | Up | SPI_getrelname